# net_get – Copy a file from a network device to Ansible Controller

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module provides functionality to copy file from network device to ansible controller.

## Requirements

The below requirements are needed on the host that executes this module.

- scp

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
dest - | Default: ["Same filename as specified in I(src). The path will be playbook root or role root directory if playbook is part of a role."] | Specifies the destination file. The path to the destination file can either be the full path on the Ansible control host or a relative path from the playbook or role root directory.

protocol
-

Choices:
- scp ←
- sftp

Protocol used to transfer file.

src - / required |  | Specifies the source file. The path to the source file can either be the full path on the network device or a relative path as per path supported by destination network device.

## Notes

Note

- Some devices need specific configurations to be enabled before scp can work These configuration should be pre-configured before using this module e.g ios - `ip scp server enable`.

- User privilege to do scp on network device should be pre-configured e.g. ios - need user privilege 15 by default for allowing scp.

- Default destination of source file.

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: copy file from the network device to Ansible controller
      net_get:
        src: running_cfg_ios1.txt

    - name: copy file from ios to common location at /tmp
      net_get:
        src: running_cfg_sw1.txt
        dest : /tmp/ios1.txt

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Deepak Agrawal (@dagrawal)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.